// TTTExportDlg.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "TeazersTimeTracker.h"
#include "TTTExportDlg.h"
#include "afxdialogex.h"
#include "TeazersTimeTrackerDlg.h"

// TTTExportDlg-Dialogfeld

IMPLEMENT_DYNAMIC(TTTExportDlg, CDialogEx)

TTTExportDlg::TTTExportDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(TTTExportDlg::IDD, pParent)
{

}

TTTExportDlg::~TTTExportDlg()
{
}

void TTTExportDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_DATETIMEPICKER1, m_startdate);
	DDX_Control(pDX, IDC_DATETIMEPICKER3, m_enddate);
	DDX_Control(pDX, IDC_DATETIMEPICKER2, m_starttime);
	DDX_Control(pDX, IDC_DATETIMEPICKER4, m_endtime);
	DDX_Control(pDX, IDC_CHECK1, m_nostart);
	DDX_Control(pDX, IDC_CHECK2, m_noend);
}


BEGIN_MESSAGE_MAP(TTTExportDlg, CDialogEx)
	ON_BN_CLICKED(IDC_CHECK1, &TTTExportDlg::OnBnClickedCheck1)
	ON_BN_CLICKED(IDC_CHECK2, &TTTExportDlg::OnBnClickedCheck2)
END_MESSAGE_MAP()


// TTTExportDlg-Meldungshandler


void TTTExportDlg::OnBnClickedCheck1()
{
	if (m_nostart.GetCheck()) 
	{
		m_startdate.EnableWindow(true);
		m_starttime.EnableWindow(true);
	} else {
		m_startdate.EnableWindow(false);
		m_starttime.EnableWindow(false);
	};

}


void TTTExportDlg::OnBnClickedCheck2()
{
	if (m_noend.GetCheck()) 
	{
		m_enddate.EnableWindow(true);
		m_endtime.EnableWindow(true);
	} else {
		m_enddate.EnableWindow(false);
		m_endtime.EnableWindow(false);
	};	
}

void TTTExportDlg::OnOK()
{
	CTeazersTimeTrackerDlg* prnt=(CTeazersTimeTrackerDlg*)this->GetParent();

	COleDateTime timeTime;
	COleDateTime timeDate;

	m_starttime.GetTime(timeTime);
	m_startdate.GetTime(timeDate);
	prnt->m_filterstart.SetDateTime(timeDate.GetYear(),timeDate.GetMonth(),timeDate.GetDay(),timeTime.GetHour(),timeTime.GetMinute(),timeTime.GetSecond());
	m_endtime.GetTime(timeTime);
	m_enddate.GetTime(timeDate);
	prnt->m_filterend.SetDateTime(timeDate.GetYear(),timeDate.GetMonth(),timeDate.GetDay(),timeTime.GetHour(),timeTime.GetMinute(),timeTime.GetSecond());
	if (m_noend.GetCheck()!=BST_CHECKED) prnt->m_filternoend=TRUE;
	else prnt->m_filternoend=FALSE;
	if (m_nostart.GetCheck()!=BST_CHECKED) prnt->m_filternostart=TRUE;
	else prnt->m_filternostart=FALSE;

	EndDialog(IDOK);
	DestroyWindow();
};
