#pragma once

// TTTTimer-Befehlsziel

class TTTGroup;

class TTTTimer : public CObject
{
public:
	TTTTimer();
	TTTTimer(TTTGroup* p);
	virtual ~TTTTimer();

	TTTTimer( const TTTTimer &s );
	TTTTimer& operator=( const TTTTimer &s );
	bool TTTTimer::operator==(const TTTTimer other);
	DECLARE_SERIAL ( TTTTimer );

	void Serialize( CArchive& archive );

	COleDateTime m_starttime;
	COleDateTime m_stoptime;
	bool m_isRunning;
	CString m_description;
	CString m_notes;
	TTTGroup* m_parent;
	int m_pausenzeit;

	HTREEITEM m_treeitem;

	double getLengthInSeconds();
	COleDateTimeSpan getLength();
	CString getLengthStr();
	void stop();
};


