// TTTTimer.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "TeazersTimeTracker.h"
#include "TTTTodo.h"
#include "TTTGroup.h"

// TTTTodo

TTTTodo::TTTTodo()
{
	m_isCompleted = FALSE;
	m_description = "Neues ToDo"; 
	m_notes = "Beschreibt einen einzelnen zu erledigenden Prozessabschitt."; 
	m_parent=NULL;
	m_treeitem=NULL;

}

TTTTodo::TTTTodo(TTTGroup* p)
{
	m_isCompleted = FALSE;
	m_description = "Neues ToDo"; 
	m_notes = "Beschreibt einen einzelnen zu erledigenden Prozessabschitt."; 
	m_parent=p;
	m_treeitem=NULL;
}

TTTTodo::~TTTTodo()
{
	if (m_parent) m_parent->childtodos.RemoveAt((m_parent->childtodos.Find(this)));
}


// TTTTodo-Memberfunktionen


bool TTTTodo::operator==(const TTTTodo other) {

	if ((void*)this!=(void*)&other) return false;
	else return true;

}

IMPLEMENT_SERIAL (TTTTodo, CObject, 42);

void TTTTodo::Serialize( CArchive& archive ) 
{
    // call base class function first
    // base class is CObject in this case
    CObject::Serialize( archive );

    // now do the stuff for our specific class
    if( archive.IsStoring() )
	{
		archive << m_isCompleted << m_description << m_notes;
	}
    else
	{
		archive >> m_isCompleted >> m_description >> m_notes;
	};

	m_parent=NULL;
	m_treeitem=NULL;
};

TTTTodo::TTTTodo( const TTTTodo &s )  // copy ctor
{ //m_nValue = s.m_nValue;

	m_isCompleted=s.m_isCompleted;
	m_description=s.m_description;
	m_parent=s.m_parent;
	m_notes=s.m_notes;
	m_treeitem=NULL;

}

TTTTodo& TTTTodo::operator=( const TTTTodo &s )  // assignment operator
{ //m_nValue = s.m_nValue; 
	return *this; 
}

