#pragma once

#include "resource.h"
#include "afxwin.h"
#include "afxdtctl.h"

class CTeazersTimeTrackerDlg;

// CTabTimer-Dialogfeld

class CTabTimer : public CDialogEx
{
	DECLARE_DYNAMIC(CTabTimer)

public:
	CTabTimer(CWnd* pParent = NULL);   // Standardkonstruktor
	virtual ~CTabTimer();
	CTeazersTimeTrackerDlg *m_parentTTT;

// Dialogfelddaten
	enum { IDD = IDD_TABTIMER };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

	DECLARE_MESSAGE_MAP()
public:
	CEdit m_description;
	CEdit m_notes;

	void setStartDateTime(COleDateTime& timeDest);
	void setEndDateTime(COleDateTime& timeDest);
	void getStartDateTime(COleDateTime& timeDest);
	void getEndDateTime(COleDateTime& timeDest);

	void setEndDisabled(BOOL state);

	virtual void OnOK( );
	virtual void OnCancel( );

	CStatic m_length;
	CEdit m_pausenzeit;
	int m_pzint;
};
