#pragma once

// TTTGroup-Befehlsziel

#include "TTTGroup.h"
#include "TTTTimer.h"
#include "TTTTodo.h"

class TTTGroup : public CObject
{
public:
	TTTGroup();
	TTTGroup(TTTGroup* parent);
	virtual ~TTTGroup();

	TTTGroup( const TTTGroup &s );
	TTTGroup& operator=( const TTTGroup &s );
	bool operator==(const TTTGroup &other);
	DECLARE_SERIAL ( TTTGroup );

	CList<TTTGroup*,TTTGroup*> childgroups;
	CList<TTTTimer*,TTTTimer*> childtimers;
	CList<TTTTodo*,TTTTodo*> childtodos;

	void Serialize( CArchive& archive );

	CString m_description;
	CString m_notes;
	TTTGroup* m_parent;

	void addTimer(CString &desc);
	void addTodo(CString &desc);
	void addGroup(CString &desc);

	HTREEITEM m_treeitem;

};


